import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';

import { AppComponent } from './app.component';

import { Comp1Component } from './compo1';
import { Comp2Component } from './compo2';
import { Comp3Component } from './compo3';
import { Comp4Component } from './compo4';


// Import the Animations module
import { BrowserAnimationsModule } from '@angular/platform-browser/animations';

// Import the ButtonsModule
import { ButtonsModule } from '@progress/kendo-angular-buttons';
import { LayoutModule } from '@progress/kendo-angular-layout';
import { GridModule } from '@progress/kendo-angular-grid';

import { FinancialNumberFormatPipe } from "./financialNumber.pipe";

@NgModule({
    declarations: [
        AppComponent,
        Comp1Component,
        Comp2Component,
        Comp3Component,
        Comp4Component,
        FinancialNumberFormatPipe
    ],
    imports: [
        BrowserModule,
        FormsModule,
        HttpModule,

        // Register the modules
        BrowserAnimationsModule,
        ButtonsModule,
        LayoutModule,
        GridModule
    ],
    providers: [],
    bootstrap: [AppComponent]
})
export class AppModule { }