import { Component,OnChanges,Input } from '@angular/core';
import { products } from './products';

@Component({
    selector: 'app-comp1',
    template: `
         <div class="loadingIconHeight" *ngIf="!loadDataIndicator">
            <span class="k-icon k-i-loading loadingIndicatorspan"></span>
        </div>
        <kendo-grid [data]="gridData" [height]="410" *ngIf="loadDataIndicator">
       
            <kendo-grid-column field="Discontinued" title="Discontinued" width="120">
                <ng-template kendoGridCellTemplate let-dataItem>
                    <input type="checkbox" [checked]="dataItem.Discontinued" disabled/>
                </ng-template>
            </kendo-grid-column>
            <kendo-grid-column field="ProductID" title="ID" width="40">
            </kendo-grid-column>
           
            <kendo-grid-column field="Category.CategoryName" title="Category" width="80">
            </kendo-grid-column>
            <kendo-grid-column field="UnitPrice" title="Price" width="80">
             <ng-template kendoGridCellTemplate let-dataItem let-rowIndex="rowIndex">
                 <div>
                        {{dataItem.UnitPrice | financialNumber}}
                    </div>
                     </ng-template>
            </kendo-grid-column>
             <kendo-grid-column field="UnitsInStock" title="In stock" width="80">
            </kendo-grid-column>
             <kendo-grid-column field="ProductName" title="Name" width="250">
            </kendo-grid-column>
            <kendo-grid-column field="UnitPrice" title="Price" width="80">
            </kendo-grid-column>
             <kendo-grid-column field="UnitsInStock" title="In stock" width="80">
            </kendo-grid-column>
             <kendo-grid-column field="ProductName" title="Name" width="250">
            </kendo-grid-column>
            <kendo-grid-column field="UnitPrice" title="Price" width="80">
            </kendo-grid-column>
             <kendo-grid-column field="UnitsInStock" title="In stock" width="80">
            </kendo-grid-column>
             <kendo-grid-column field="ProductName" title="Name" width="250">
            </kendo-grid-column>
        </kendo-grid>
    `
})
export class Comp1Component  implements OnChanges {
  @Input('fld') fld: string;

   private gridData: any[];
    private loadDataIndicator:boolean = false;
    public ngOnChanges() {
        //=apply 100ms time for taking time to get response from server====================
        setTimeout(() => 
        {
            this.gridData= products;
            this.loadDataIndicator = true;
        }, 100);
    }
}