import { Pipe, PipeTransform } from '@angular/core';

@Pipe({ name: "financialNumber" })
export class FinancialNumberFormatPipe implements PipeTransform {
    private readonly numberFormat : Intl.NumberFormat;

    constructor() {
        this.numberFormat = new Intl.NumberFormat("en-US", { minimumFractionDigits: 2, maximumFractionDigits: 2 });
    }

    public transform(value: number): string {
        if (value === null) {
            return "";
        }

        const localizedNumber = this.numberFormat.format(Math.abs(value));

        if (value < 0) {
            return `(${localizedNumber})`;
        }

        return localizedNumber;
    }
}